# FoundationClasses
TKernel
Quantity

# Quantity_Array2OfColor Class Reference

`#include <Quantity_Array2OfColor.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Quantity_Array2OfColor (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | Quantity_Array2OfColor (const Quantity_Color &Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const Quantity_Color &V)
Standard_EXPORT void | Destroy ()
| ~Quantity_Array2OfColor ()
Standard_EXPORT const Quantity_Array2OfColor & | Assign (const Quantity_Array2OfColor &Other)
const Quantity_Array2OfColor & | operator= (const Quantity_Array2OfColor &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Quantity_Color &Value)
const Quantity_Color & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Quantity_Color & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Quantity_Color & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Quantity_Color & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Private Member Functions

Standard_EXPORT | Quantity_Array2OfColor (const Quantity_Array2OfColor &AnArray)
Standard_EXPORT void | Allocate ()

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT Quantity_Array2OfColor::Quantity_Array2OfColor | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT Quantity_Array2OfColor::Quantity_Array2OfColor | ( | const Quantity_Color & | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Quantity_Array2OfColor::~Quantity_Array2OfColor | ( |  | ) | `[inline]`

Standard_EXPORT Quantity_Array2OfColor::Quantity_Array2OfColor | ( | const Quantity_Array2OfColor & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void Quantity_Array2OfColor::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const Quantity_Array2OfColor& Quantity_Array2OfColor::Assign | ( | const Quantity_Array2OfColor & | Other | ) |

Quantity_Color& Quantity_Array2OfColor::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer Quantity_Array2OfColor::ColLength | ( |  | ) | const

Standard_EXPORT void Quantity_Array2OfColor::Destroy | ( |  | ) |

Standard_EXPORT void Quantity_Array2OfColor::Init | ( | const Quantity_Color & | V | ) |

Standard_Integer Quantity_Array2OfColor::LowerCol | ( |  | ) | const

Standard_Integer Quantity_Array2OfColor::LowerRow | ( |  | ) | const

void Quantity_Array2OfColor::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Quantity_Array2OfColor::operator new | ( | size_t | size | ) | `[inline]`

void* Quantity_Array2OfColor::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Quantity_Color& Quantity_Array2OfColor::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const Quantity_Color& Quantity_Array2OfColor::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const Quantity_Array2OfColor& Quantity_Array2OfColor::operator= | ( | const Quantity_Array2OfColor & | Other | ) | `[inline]`

Standard_Integer Quantity_Array2OfColor::RowLength | ( |  | ) | const

void Quantity_Array2OfColor::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Quantity_Color & | Value
| ) |

Standard_Integer Quantity_Array2OfColor::UpperCol | ( |  | ) | const

Standard_Integer Quantity_Array2OfColor::UpperRow | ( |  | ) | const

const Quantity_Color& Quantity_Array2OfColor::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address Quantity_Array2OfColor::myData `[private]`

Standard_Boolean Quantity_Array2OfColor::myDeletable `[private]`

Standard_Integer Quantity_Array2OfColor::myLowerColumn `[private]`

Standard_Integer Quantity_Array2OfColor::myLowerRow `[private]`

Standard_Integer Quantity_Array2OfColor::myUpperColumn `[private]`

Standard_Integer Quantity_Array2OfColor::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- Quantity_Array2OfColor.hxx